Subject: Re: [Iptel] How To Give Suggestions

From: Gautam Yadav <[email-masked]>
Date: Mon, 8 Aug 2011 17:56:49 +0530

Hi Vijay, Cullen,

Sorry for the delayed response as I was busy with some other activities.

My suggestion is with regards to the rfc 4904 and it comes from on of the
inter-operational that I faced. I am starting by quoting the aim of the rfc
4904 to begin with followed by problem statement and suggestion.

>From Section 2:

The aim of this specification is to outline how to structure and

   represent the trunk group parameters as an extension to the tel URI

   [4] in a standardized manner.

My Understanding: I believe the rfc 4904 talks about the extension to the
tel URI only because it specifically talks about the inter-operational
issues for the scenarios where SIP to SS7 gateways come into picture.

Problem Statement: We have the call scenario of MGCP to MGCP call where A
and B parties are on different soft-switches. Topology: A à Switch-1 --- SIP
Trunk --à Switch-2  --à B. We need to transport the trunk group parameters
in the Contact Header and called ID needs to be hidden because of the
privacy concerns. Our contact header looks like: Contact:
SIP:Anonymous;tgrp=1000;trunk-context=[email-masked]<sip:Anonymous;tgrp=1000;trunk-context=[email-masked]>.
We are facing an inter-operational issue because of this contact header.
Switch-1 is referring to the rfc 3323 and encoding “Anonymous” but the
switch-2 is referring the rfc 4904 and expects tel URI and “557” in its user
part.

My Suggestion/Query: Is it  possible to increase the scope of the rfc 4904
and consider the SIP trunks also and not just the SS7 trunks and by
implication allow the SIP URI also and not just tel URI.

Thanks & Regards,

Gautam Yadav

On Mon, Aug 8, 2011 at 5:43 PM, Gautam Yadav
<[email-masked]>wrote:

>
>
> ---------- Forwarded message ----------
> From: Vijay K. Gurbani <[email-masked]>
> Date: Mon, Jul 18, 2011 at 8:29 PM
> Subject: Re: How To Give Suggestions
> To: Gautam Yadav <[email-masked]>
> Cc: [email-masked]
>
>
> Gautam Yadav wrote:
>
>> Hi Vijay, Cullen,
>>  hope you are doing good.
>>  I was going through the RFC 4904 and I have few suggestions to make in
>> this rfc. I really don't know how to go about it. Please share the procedure
>> with me.
>>
>
> Gautam: Normally, the procedure is to post a message
> to the working group that sponsored the RFC in question.
>
> For rfc4094, that would be the iptel working group.  However,
> iptel has been concluded as a working group (having met
> its deliverables).  That said,  the mailing list for iptel is
> still alive.
>
> As a first cut, please post your suggestions to me and Cullen,
> with iptel list in the Cc.  If you feel that your suggestions
> need to be documented as errata to the RFC, please state so.
> If your suggestions are more along the lines of "How do I
> do this ...", then a better place to post would be the iptel
> list and the sip-implementors list.
>
> The iptel working group page is available at
> http://www.ietf.org/wg/**concluded/iptel.html<http://www.ietf.org/wg/concluded/iptel.html>.
>  More
> information about the mailing list, etc. is available
> there.
>
> Cheers,
>
> - vijay
> --
> Vijay K. Gurbani, Bell Laboratories, Alcatel-Lucent
> 1960 Lucent Lane, Rm. 9C-533, Naperville, Illinois 60566 (USA)
> Email: vkg@{bell-labs.com,acm.org} / vijay.gurbani@alcatel-lucent.**com<[email-masked]>
> Web:   http://ect.bell-labs.com/who/**vkg/<http://ect.bell-labs.com/who/vkg/>
>
>